org.openmuc.openiec61850

## Class FcModelNode

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

Direct Known Subclasses:
  Array, BasicDataAttribute, ConstructedDataAttribute, FcDataObject

    public abstract class FcModelNode
    extends ModelNode

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`FcModelNode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Fc` `getFc()`
`java.lang.String` `toString()`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`copy, getBasicDataAttributes, getChild, getChild, getChildren, getIterators, getName, getParent, getReference, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### FcModelNode

    public FcModelNode()

### Method Detail

#### getFc

    public Fc getFc()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ModelNode`